summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMasatomo Nakano <nakano@gentoo.org>2003-06-06 20:17:00 +0000
committerMasatomo Nakano <nakano@gentoo.org>2003-06-06 20:17:00 +0000
commit64e84681ccff82cb6464d375206cf3b95ae7f9e8 (patch)
tree6f651431d434b6161d1166ccd8542985c7df4849 /dev-db/postgresql/files
parentfixed bug. #18035 (diff)
downloadhistorical-64e84681ccff82cb6464d375206cf3b95ae7f9e8.tar.gz
historical-64e84681ccff82cb6464d375206cf3b95ae7f9e8.tar.bz2
historical-64e84681ccff82cb6464d375206cf3b95ae7f9e8.zip
Version bump.
Diffstat (limited to 'dev-db/postgresql/files')
-rw-r--r--dev-db/postgresql/files/digest-postgresql-7.3.31
-rw-r--r--dev-db/postgresql/files/postgresql.conf13
-rw-r--r--dev-db/postgresql/files/postgresql.init40
3 files changed, 54 insertions, 0 deletions
diff --git a/dev-db/postgresql/files/digest-postgresql-7.3.3 b/dev-db/postgresql/files/digest-postgresql-7.3.3
new file mode 100644
index 000000000000..167267395e23
--- /dev/null
+++ b/dev-db/postgresql/files/digest-postgresql-7.3.3
@@ -0,0 +1 @@
+MD5 60e1efa3a0f34dae06e017f72cd2dcc9 postgresql-7.3.3.tar.gz 11210071
diff --git a/dev-db/postgresql/files/postgresql.conf b/dev-db/postgresql/files/postgresql.conf
new file mode 100644
index 000000000000..e63730f090e2
--- /dev/null
+++ b/dev-db/postgresql/files/postgresql.conf
@@ -0,0 +1,13 @@
+# PostgreSQL's Database Directory
+PGDATA=/var/lib/postgresql/data
+
+# Logfile path: (NOTE: This must be uid/gid owned by the value of $PGUSER!)
+PGLOG=/var/lib/postgresql/data/postgresql.log
+
+# Run the PostgreSQL user as:
+PGUSER=postgres
+
+# Extra options to run postmaster with.
+# If you want to enable TCP/IP for PostgreSQL, add -i to the following:
+PGOPTS="-N 1024 -B 2048"
+
diff --git a/dev-db/postgresql/files/postgresql.init b/dev-db/postgresql/files/postgresql.init
new file mode 100644
index 000000000000..907a1062e34d
--- /dev/null
+++ b/dev-db/postgresql/files/postgresql.init
@@ -0,0 +1,40 @@
+#!/sbin/runscript
+# Copyright 1999-2003 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# /space/gentoo/cvsroot/gentoo-x86/dev-db/postgresql/files/postgresql.rc6,v 1.1 2002/01/06 00:53:24 woodchip Exp
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ if [ ! -d $PGDATA ]; then
+ eerror "directory not found: $PGDATA"
+ eerror "You should create PGDATA directory first."
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting postgres"
+ if [ -f $PGDATA/postmaster.pid ]; then
+ rm $PGDATA/postmaster.pid
+ fi
+ su - $PGUSER -c "/usr/bin/pg_ctl start -D '$PGDATA' -s -l '$PGLOG' -o '$PGOPTS'"
+ eend $?
+}
+
+stop () {
+ ebegin "Stopping postgres"
+ su - $PGUSER -c "/usr/bin/pg_ctl stop -D '$PGDATA' -s -m fast"
+ eend $?
+}
+
+svc_restart () {
+ ebegin "Restarting postgres"
+ su - $PGUSER -c "/usr/bin/pg_ctl restart -D '$PGDATA' -s -m fast -l '$PGLOG' -o '$PGOPTS'"
+ eend $?
+}
+